![GitVersion – From git log to SemVer in no time][banner]

Versioning when using Git, solved. GitVersion looks at your git history and
works out the [Semantic Version][semver] of the commit being built.

[![Gitter][gitter-badge]][gitter]

| Artifact                   |                Stable                                              |   |
| :------------------------- | :----------------------------------------------------------------- | - |
| **GitVersion.Tool**        |                           [![NuGet][gvgt-badge]][gvgt]             |
| **GitVersion.CommandLine** |                           [![NuGet][gvcl-badge]][gvcl]             |
| **GitVersion.MsBuild**     |                            [![NuGet][gvt-badge]][gvt]              | Known as [GitVersionTask][gitversiontask] before v5.6.0 |

## Compatibility

GitVersion works on Windows, Linux, and Mac.

## Quick Links

*   [Documentation][docs]
*   [Contributing][contribute]
*   [Why GitVersion][why]
*   [Usage][usage]
*   [How it works][how]
*   [FAQ][faq]
*   [Who is using GitVersion][who]

## GitVersion in action!

![README][gv-in-action]

You are seeing:

*   Pull requests being built as pre-release builds
*   A branch called `release-1.0.0` producing beta v1 packages

## Icon

[Tree][app-icon]
designed by [David Chapman][app-icon-author]
from The Noun Project.

[semver]:                          http://semver.org
[gitter]:                          https://gitter.im/GitTools/GitVersion?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge
[gitter-badge]:                    https://badges.gitter.im/Join+Chat.svg
[docs]:                            https://gitversion.net/docs/
[gvt]:                             https://www.nuget.org/packages/GitVersion.MsBuild
[gvt-badge]:                       https://img.shields.io/nuget/v/GitVersion.MsBuild.svg?logo=nuget
[gitversiontask]:                  https://www.nuget.org/packages/GitVersionTask/
[gvcl]:                            https://www.nuget.org/packages/GitVersion.CommandLine
[gvcl-badge]:                      https://img.shields.io/nuget/v/GitVersion.CommandLine.svg?logo=nuget
[gvgt]:                            https://www.nuget.org/packages/GitVersion.Tool
[gvgt-badge]:                      https://img.shields.io/nuget/v/GitVersion.Tool.svg?logo=nuget
[contribute]:                      https://github.com/GitTools/GitVersion/blob/main/CONTRIBUTING.md
[why]:                             https://gitversion.net/docs/learn/why
[usage]:                           https://gitversion.net/docs/usage
[how]:                             https://gitversion.net/docs/learn/how-it-works
[faq]:                             https://gitversion.net/docs/learn/faq
[who]:                             https://gitversion.net/docs/learn/who
[gv-in-action]:                    https://raw.githubusercontent.com/GitTools/GitVersion/master/docs/input/docs/img/README.png
[banner]:                          https://raw.githubusercontent.com/GitTools/graphics/master/GitVersion/banner-1280x640.png
[app-icon]:                        https://thenounproject.com/term/tree/13389/
[app-icon-author]:                 http://thenounproject.com/david.chapman
